Package org.eclipse.microprofile.config.tck.emptyvalue

# Class EmptyValuesTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.emptyvalue.EmptyValuesTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class EmptyValuesTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.jboss.shrinkwrap.api.asset.StringAsset`
`EMPTY_STRING_ASSET`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`EmptyValuesTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.Archive`
`deployment()`
`void`
`test()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY_STRING_ASSET

public static final org.jboss.shrinkwrap.api.asset.StringAsset EMPTY_STRING_ASSET

## Constructor Details

### EmptyValuesTest

public EmptyValuesTest()

## Method Details

### deployment

@Deployment @ShouldThrowException(jakarta.enterprise.inject.spi.DeploymentException.class) public static org.jboss.shrinkwrap.api.Archive deployment()

### test

public void test()